@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.about-us-section {
  & {
    text-align: center;
    padding: 0 20px 100px;
  }

  .title {
    font-size: 40px;
    font-weight: 700;
    font-family: @font_primary;
    padding: 0 0 50px;
    margin: 0;

    @media (max-width: @screen_tablet) {
      font-size: 28px;
      padding-bottom: 30px;
    }
  }

  & > .text {
    font-size: 24px;
    font-family: @font_second;
    padding: 0 0 80px;
    margin: 0 auto;
    max-width: 900px;
    line-height: 1.5;

    @media (max-width: @screen_tablet) {
      font-size: 18px;
      padding-bottom: 40px
    }
  }

  .container {
    & {
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-gap: 3em;
      padding: 0;
      margin: 0 auto;
      max-width: @container_width;

      @media (max-width: @screen_desktop) {
        grid-template-columns: 1fr;
      }

      @media (max-width: @screen_tablet) {
        grid-gap: 2em;
      }
    }

    .block {
      & {
        border-radius: 6px;
        border: 1px solid @bg_form;
        font-family: @font_second;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        padding: 20px 40px;

        @media (max-width: @screen_tablet) {
          align-items: center;
          padding: 20px;
        }
      }

      .title {
        font-family: @font_primary;
        font-size: 28px;
        font-weight: 700;

        @media (max-width: @screen_tablet) {
          font-size: 20px;
        }
      }

      .line {
        padding: 10px 0 30px;
        margin: 0;

        @media (max-width: @screen_tablet) {
          font-size: 18px;
          padding: 0 0 20px;
        }
      }

      .text {
        margin: 0;
        line-height: 2;
        font-size: 16px;

        @media (max-width: @screen_tablet) {
          font-size: 13px;
          text-align: center;
        }
      }

      &.item-1 {
        @media (min-width: @screen_desktop) {
          grid-column: 1/3;
          align-items: center;
        }
      }

      &.item-2 {
        padding: 0;
        margin: 0;
        overflow: hidden;
        object-fit: cover;

        img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }
    }
  }
}




